GNU bug report logs - #2549
23.0.60; doc-view: scrolling other window wraps unexpectedly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Markus Triska <markus.triska@HIDDEN>; merged with #21439; dated Tue, 3 Mar 2009 01:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 2549 21439. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 2549 <at> debbugs.gnu.org:


Received: (at 2549) by debbugs.gnu.org; 13 Jan 2016 19:20:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 14:20:36 2016
Received: from localhost ([127.0.0.1]:48555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aJQyC-0003bD-L4
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2016 14:20:36 -0500
Received: from eggs.gnu.org ([208.118.235.92]:59057)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1aJQyB-0003b0-30
 for 2549 <at> debbugs.gnu.org; Wed, 13 Jan 2016 14:20:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1aJQy1-00043e-4C
 for 2549 <at> debbugs.gnu.org; Wed, 13 Jan 2016 14:20:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35023)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1aJQy1-00043a-1D; Wed, 13 Jan 2016 14:20:25 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1947
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1aJQy0-0006i5-CG; Wed, 13 Jan 2016 14:20:24 -0500
Date: Wed, 13 Jan 2016 21:20:36 +0200
Message-Id: <83h9ihi8vv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Marcin Borkowski <mbork@HIDDEN>
In-reply-to: <871t9lfkgi.fsf@HIDDEN> (message from Marcin Borkowski on Wed, 
 13 Jan 2016 18:38:53 +0100)
Subject: Re: bug#2549: Bug still present
References: <20090303013943.37C4EC66050@HIDDEN>
 <871t9lfkgi.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 2549
Cc: 2549 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Marcin Borkowski <mbork@HIDDEN>
> Date: Wed, 13 Jan 2016 18:38:53 +0100
> 
> As of GNU Emacs 25.1.50.1, this bug still persists (both in doc-view and
> a third-party module pdf-tools, see https://github.com/politza/pdf-tools).

Would you like to propose a patch along the lines discussed in the
beginning of this bug analysis?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#2549; Package emacs. Full text available.

Message received at 2549 <at> debbugs.gnu.org:


Received: (at 2549) by debbugs.gnu.org; 13 Jan 2016 18:29:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 13:29:54 2016
Received: from localhost ([127.0.0.1]:48535 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aJQB8-0000Zx-Bh
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2016 13:29:54 -0500
Received: from mail.muc.de ([193.149.48.3]:28076)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <acm@HIDDEN>) id 1aJQB6-0000Zd-1l
 for 2549 <at> debbugs.gnu.org; Wed, 13 Jan 2016 13:29:52 -0500
Received: (qmail 32597 invoked by uid 3782); 13 Jan 2016 18:29:50 -0000
Date: 13 Jan 2016 18:29:50 -0000
Message-ID: <20160113182950.32596.qmail@HIDDEN>
From: Alan Mackenzie <acm@HIDDEN>
To: Marcin Borkowski <mbork@HIDDEN>
Subject: Re: bug#2549: Bug still present
Organization: muc.de e.V.
In-Reply-To: <mailman.2298.1452706808.843.bug-gnu-emacs@HIDDEN>
X-Newsgroups: gnu.emacs.bug
User-Agent: tin/2.3.1-20141224 ("Tallant") (UNIX) (FreeBSD/10.2-RELEASE-p7
 (amd64))
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 2549
Cc: 2549 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

In article <mailman.2298.1452706808.843.bug-gnu-emacs@HIDDEN> you wrote:
> As of GNU Emacs 25.1.50.1, this bug still persists (both in doc-view and
> a third-party module pdf-tools, see https://github.com/politza/pdf-tools).

Just a small matter, but it might be helpful if you could give some
indication within the body of posts what the bugs referred to are about.
Even just giving the original titles would be most appreciated.

> -- 
> Marcin Borkowski
> http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
> Faculty of Mathematics and Computer Science
> Adam Mickiewicz University

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#2549; Package emacs. Full text available.

Message received at 2549 <at> debbugs.gnu.org:


Received: (at 2549) by debbugs.gnu.org; 13 Jan 2016 17:39:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 12:39:05 2016
Received: from localhost ([127.0.0.1]:48501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aJPNx-0007ou-Gv
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2016 12:39:05 -0500
Received: from mail.mojserwer.eu ([195.110.48.8]:60152)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <mbork@HIDDEN>) id 1aJPNv-0007ok-Hb
 for 2549 <at> debbugs.gnu.org; Wed, 13 Jan 2016 12:39:04 -0500
Received: from localhost (localhost [127.0.0.1])
 by mail.mojserwer.eu (Postfix) with ESMTP id 50B8C8F201E
 for <2549 <at> debbugs.gnu.org>; Wed, 13 Jan 2016 18:39:01 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at mail.mojserwer.eu
Received: from mail.mojserwer.eu ([127.0.0.1])
 by localhost (mail.mojserwer.eu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 0Zt5lpN5TTxn for <2549 <at> debbugs.gnu.org>;
 Wed, 13 Jan 2016 18:38:58 +0100 (CET)
Received: from localhost (unknown [IPv6:2001:808:114:6:a288:b4ff:fe90:5e24])
 by mail.mojserwer.eu (Postfix) with ESMTPSA id 9E3158F201D
 for <2549 <at> debbugs.gnu.org>; Wed, 13 Jan 2016 18:38:58 +0100 (CET)
User-agent: mu4e 0.9.13; emacs 25.1.50.1
From: Marcin Borkowski <mbork@HIDDEN>
To: 2549 <at> debbugs.gnu.org
Subject: Bug still present
Date: Wed, 13 Jan 2016 18:38:53 +0100
Message-ID: <871t9lfkgi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 2549
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

As of GNU Emacs 25.1.50.1, this bug still persists (both in doc-view and
a third-party module pdf-tools, see https://github.com/politza/pdf-tools).

-- 
Marcin Borkowski
http://octd.wmi.amu.edu.pl/en/Marcin_Borkowski
Faculty of Mathematics and Computer Science
Adam Mickiewicz University




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#2549; Package emacs. Full text available.

Message received at 2549@HIDDEN:


Received: (at 2549) by emacsbugs.donarmstrong.com; 4 Mar 2009 12:46:44 +0000
From rudalics@HIDDEN Wed Mar  4 04:46:44 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from mail.gmx.net (mail.gmx.net [213.165.64.20])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with SMTP id n24Cke8L012987
	for <2549@HIDDEN>; Wed, 4 Mar 2009 04:46:41 -0800
Received: (qmail invoked by alias); 04 Mar 2009 12:46:33 -0000
Received: from 62-47-44-38.adsl.highway.telekom.at (EHLO [62.47.44.38]) [62.47.44.38]
  by mail.gmx.net (mp014) with SMTP; 04 Mar 2009 13:46:33 +0100
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+im7IJ3DiiC9nJwTWe7RmQGehXBtxRUPE4A6cguA
	LLBDBtNMdN4xOm
Message-ID: <49AE77A9.4090204@HIDDEN>
Date: Wed, 04 Mar 2009 13:44:25 +0100
From: martin rudalics <rudalics@HIDDEN>
User-Agent: Thunderbird 2.0.0.16 (Windows/20080708)
MIME-Version: 1.0
To: Tassilo Horn <tassilo@HIDDEN>
CC: 2549 <at> debbugs.gnu.org
Subject: Re: bug#2549: 23.0.60;	doc-view: scrolling other window wraps unexpectedly
References: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN> <87bpsilsso.fsf@HIDDEN>
In-Reply-To: <87bpsilsso.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.85

 > That's because `scroll-other-window' calls scroll-up/down in the other
 > window, but if the other window contains an doc-view buffer it should
 > ideally call image-scroll-up/down.

Just a technical note: `scroll-other-window' calls window_scroll and not
scroll-up/down.

martin




Acknowledgement sent to martin rudalics <rudalics@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2549; Package emacs. Full text available.

Message received at 2549@HIDDEN:


Received: (at 2549) by emacsbugs.donarmstrong.com; 4 Mar 2009 01:16:50 +0000
From monnier@HIDDEN Tue Mar  3 17:16:50 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.5 required=4.0 tests=HAS_BUG_NUMBER,XIRONPORT
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.teksavvy.com [206.248.154.182])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n241GkN0025437
	for <2549@HIDDEN>; Tue, 3 Mar 2009 17:16:48 -0800
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ApAFAFtlrUnO+KX2/2dsb2JhbACBTtU/hAgGhAE
X-IronPort-AV: E=Sophos;i="4.38,297,1233550800"; 
   d="scan'208";a="34663157"
Received: from 206-248-165-246.dsl.teksavvy.com (HELO pastel.home) ([206.248.165.246])
  by ironport2-out.teksavvy.com with ESMTP; 03 Mar 2009 20:16:41 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id D50474B454; Tue,  3 Mar 2009 20:16:40 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Tassilo Horn <tassilo@HIDDEN>
Cc: 2549 <at> debbugs.gnu.org, Markus Triska
	<markus.triska@HIDDEN>,
        don@HIDDEN
Subject: Re: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly
Message-ID: <jwvwsb65bru.fsf-monnier+emacsbugreports@HIDDEN>
References: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN>
	<87bpsilsso.fsf@HIDDEN>
	<jwv8wnma7ar.fsf-monnier+emacsbugreports@HIDDEN>
	<871vte1ks0.fsf@HIDDEN>
Date: Tue, 03 Mar 2009 20:16:40 -0500
In-Reply-To: <871vte1ks0.fsf@HIDDEN> (Tassilo Horn's message of
	"Tue, 03 Mar 2009 20:14:23 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> We could abuse the "Version:" pseudo-header for that or create a new tag
> for that.  The latter seems more desirable, but I don't know how to
> create a tag.  Maybe they're created automagically?  I'll try by sending

>   tags 2549 + post-23.1

> to the control server address...

Actually, I think there's a way to classify bugs w.r.t releases.
So probably not tagging this as "post-23.1" but rather tagging the
others as "needs to be fixed before we can release Emacs-23.1".
But I can't figure out how to do it.


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2549; Package emacs. Full text available.
Tags added: Request was from Tassilo Horn <tassilo@HIDDEN> to control@HIDDEN. Full text available.

Message received at 2549@HIDDEN:


Received: (at 2549) by emacsbugs.donarmstrong.com; 3 Mar 2009 19:14:31 +0000
From tassilo@HIDDEN Tue Mar  3 11:14:31 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from out3.smtp.messagingengine.com (out3.smtp.messagingengine.com [66.111.4.27])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n23JESEA024736
	for <2549@HIDDEN>; Tue, 3 Mar 2009 11:14:29 -0800
Received: from compute2.internal (compute2.internal [10.202.2.42])
	by out1.messagingengine.com (Postfix) with ESMTP id 739A52D476E;
	Tue,  3 Mar 2009 14:14:27 -0500 (EST)
Received: from heartbeat2.messagingengine.com ([10.202.2.161])
  by compute2.internal (MEProxy); Tue, 03 Mar 2009 14:14:27 -0500
X-Sasl-enc: wlO3TQQu/ejsIutxbPFCh+Rce6yc0dDYByhuv9My6lgU 1236107666
Received: from thinkpad.tsdh.de (p54AF2803.dip0.t-ipconnect.de [84.175.40.3])
	by mail.messagingengine.com (Postfix) with ESMTPA id E3737489D7;
	Tue,  3 Mar 2009 14:14:25 -0500 (EST)
From: Tassilo Horn <tassilo@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Cc: 2549 <at> debbugs.gnu.org, Markus Triska <markus.triska@HIDDEN>
Subject: Re: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly
References: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN>
	<87bpsilsso.fsf@HIDDEN>
	<jwv8wnma7ar.fsf-monnier+emacsbugreports@HIDDEN>
Date: Tue, 03 Mar 2009 20:14:23 +0100
In-Reply-To: <jwv8wnma7ar.fsf-monnier+emacsbugreports@HIDDEN> (Stefan
	Monnier's message of "Tue, 03 Mar 2009 11:44:37 -0500")
Message-ID: <871vte1ks0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Stefan Monnier <monnier@HIDDEN> writes:

>> That's because `scroll-other-window' calls scroll-up/down in the
>> other window, but if the other window contains an doc-view buffer it
>> should ideally call image-scroll-up/down.
>
>> The only good solution I see is to define buffer local variables
>> `scroll-up-function' and `scroll-down-function' which are used by
>> `scroll-up' and `scroll-down' and then binding them appropriate in
>> each mode.
>
> Indeed, something like a hook seems necessary.  I'd rather leave it as
> is for Emacs-23.1, tho.  Makes me wonder: do we have a way to tag bugs
> as "post-23.1"?

We could abuse the "Version:" pseudo-header for that or create a new tag
for that.  The latter seems more desirable, but I don't know how to
create a tag.  Maybe they're created automagically?  I'll try by sending

  tags 2549 + post-23.1

to the control server address...

Bye,
Tassilo




Acknowledgement sent to Tassilo Horn <tassilo@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2549; Package emacs. Full text available.

Message received at 2549@HIDDEN:


Received: (at 2549) by emacsbugs.donarmstrong.com; 3 Mar 2009 16:44:42 +0000
From monnier@HIDDEN Tue Mar  3 08:44:42 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from pruche.dit.umontreal.ca (pruche.dit.umontreal.ca [132.204.246.22])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n23Gidl4011215
	for <2549@HIDDEN>; Tue, 3 Mar 2009 08:44:40 -0800
Received: from alfajor.home (vpn-132-204-232-170.acd.umontreal.ca [132.204.232.170])
	by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id n23GjJhD022092;
	Tue, 3 Mar 2009 11:45:19 -0500
Received: by alfajor.home (Postfix, from userid 20848)
	id 6CB41A22E6; Tue,  3 Mar 2009 11:44:37 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Tassilo Horn <tassilo@HIDDEN>
Cc: 2549 <at> debbugs.gnu.org, Markus Triska <markus.triska@HIDDEN>
Subject: Re: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly
Message-ID: <jwv8wnma7ar.fsf-monnier+emacsbugreports@HIDDEN>
References: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN>
	<87bpsilsso.fsf@HIDDEN>
Date: Tue, 03 Mar 2009 11:44:37 -0500
In-Reply-To: <87bpsilsso.fsf@HIDDEN> (Tassilo Horn's message of
	"Tue, 03 Mar 2009 13:00:55 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV3222=0

> That's because `scroll-other-window' calls scroll-up/down in the other
> window, but if the other window contains an doc-view buffer it should
> ideally call image-scroll-up/down.

> The only good solution I see is to define buffer local variables
> `scroll-up-function' and `scroll-down-function' which are used by
> `scroll-up' and `scroll-down' and then binding them appropriate in
> each mode.

Indeed, something like a hook seems necessary.  I'd rather leave it as
is for Emacs-23.1, tho.  Makes me wonder: do we have a way to tag bugs
as "post-23.1"?


        Stefan




Acknowledgement sent to Stefan Monnier <monnier@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2549; Package emacs. Full text available.

Message received at 2549@HIDDEN:


Received: (at 2549) by emacsbugs.donarmstrong.com; 3 Mar 2009 12:01:01 +0000
From tassilo@HIDDEN Tue Mar  3 04:01:00 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from deliver.uni-koblenz.de (deliver.uni-koblenz.de [141.26.64.15])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n23C0vtq024353
	for <2549@HIDDEN>; Tue, 3 Mar 2009 04:00:59 -0800
Received: from localhost (localhost [127.0.0.1])
	by deliver.uni-koblenz.de (Postfix) with ESMTP id 65552789B033;
	Tue,  3 Mar 2009 13:00:57 +0100 (CET)
Received: from deliver.uni-koblenz.de ([127.0.0.1])
 by localhost (deliver.uni-koblenz.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 26528-09; Tue,  3 Mar 2009 13:00:56 +0100 (CET)
X-CHKRCPT: Envelopesender vrfy tassilo@HIDDEN
Received: from thinkpad.tsdh.de (dhcp121.uni-koblenz.de [141.26.71.121])
	by deliver.uni-koblenz.de (Postfix) with ESMTP id DC68D789AD3A;
	Tue,  3 Mar 2009 13:00:55 +0100 (CET)
From: Tassilo Horn <tassilo@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Cc: 2549 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly
References: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN>
Date: Tue, 03 Mar 2009 13:00:55 +0100
In-Reply-To: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN> (Markus
	Triska's message of "Tue, 3 Mar 2009 02:39:43 +0100 (CET)")
Message-ID: <87bpsilsso.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Virus-Scanned: amavisd-new at uni-koblenz.de

Markus Triska <markus.triska@HIDDEN> writes:

Hi Markus,

> With p.ps from:
>
>    http://www.logic.at/prolog/p.ps
>
> when I do:
>
>    $ emacs -Q p.ps
>
> and press:
>
>    C-c C-c C-x 2
>
> and then press C-M-v repeatedly, the other window eventually wraps
> around instead of stopping at the image border like C-v does.

That's because `scroll-other-window' calls scroll-up/down in the other
window, but if the other window contains an doc-view buffer it should
ideally call image-scroll-up/down.

The only good solution I see is to define buffer local variables
`scroll-up-function' and `scroll-down-function' which are used by
`scroll-up' and `scroll-down' and then binding them appropriate in each
mode.

Anyway, that's not really related to doc-view.  All non-text modes are
pertained here.  Comments?

Bye,
Tassilo




Acknowledgement sent to Tassilo Horn <tassilo@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2549; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 3 Mar 2009 12:01:04 +0000
From tassilo@HIDDEN Tue Mar  3 04:01:04 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER
	autolearn=unavailable version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n23C11ti024361
	for <submit@HIDDEN>; Tue, 3 Mar 2009 04:01:02 -0800
Received: from mx10.gnu.org ([199.232.76.166]:43147)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <tassilo@HIDDEN>)
	id 1LeTGf-0002PU-6f
	for emacs-pretest-bug@HIDDEN; Tue, 03 Mar 2009 06:58:37 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <tassilo@HIDDEN>)
	id 1LeTIw-0007rd-Al
	for emacs-pretest-bug@HIDDEN; Tue, 03 Mar 2009 07:01:00 -0500
Received: from deliver.uni-koblenz.de ([141.26.64.15]:28090)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <tassilo@HIDDEN>)
	id 1LeTIv-0007rV-Vh
	for emacs-pretest-bug@HIDDEN; Tue, 03 Mar 2009 07:00:58 -0500
Received: from localhost (localhost [127.0.0.1])
	by deliver.uni-koblenz.de (Postfix) with ESMTP id 65552789B033;
	Tue,  3 Mar 2009 13:00:57 +0100 (CET)
Received: from deliver.uni-koblenz.de ([127.0.0.1])
 by localhost (deliver.uni-koblenz.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 26528-09; Tue,  3 Mar 2009 13:00:56 +0100 (CET)
X-CHKRCPT: Envelopesender vrfy tassilo@HIDDEN
Received: from thinkpad.tsdh.de (dhcp121.uni-koblenz.de [141.26.71.121])
	by deliver.uni-koblenz.de (Postfix) with ESMTP id DC68D789AD3A;
	Tue,  3 Mar 2009 13:00:55 +0100 (CET)
From: Tassilo Horn <tassilo@HIDDEN>
To: Markus Triska <markus.triska@HIDDEN>
Cc: 2549 <at> debbugs.gnu.org, emacs-pretest-bug@HIDDEN
Subject: Re: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly
References: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN>
Date: Tue, 03 Mar 2009 13:00:55 +0100
In-Reply-To: <mailman.2246.1236045825.31690.bug-gnu-emacs@HIDDEN> (Markus
	Triska's message of "Tue, 3 Mar 2009 02:39:43 +0100 (CET)")
Message-ID: <87bpsilsso.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Virus-Scanned: amavisd-new at uni-koblenz.de
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6, seldom 2.4 (older, 4)

Markus Triska <markus.triska@HIDDEN> writes:

Hi Markus,

> With p.ps from:
>
>    http://www.logic.at/prolog/p.ps
>
> when I do:
>
>    $ emacs -Q p.ps
>
> and press:
>
>    C-c C-c C-x 2
>
> and then press C-M-v repeatedly, the other window eventually wraps
> around instead of stopping at the image border like C-v does.

That's because `scroll-other-window' calls scroll-up/down in the other
window, but if the other window contains an doc-view buffer it should
ideally call image-scroll-up/down.

The only good solution I see is to define buffer local variables
`scroll-up-function' and `scroll-down-function' which are used by
`scroll-up' and `scroll-down' and then binding them appropriate in each
mode.

Anyway, that's not really related to doc-view.  All non-text modes are
pertained here.  Comments?

Bye,
Tassilo




Acknowledgement sent to Tassilo Horn <tassilo@HIDDEN>:
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2549; Package emacs. Full text available.

Message received at submit@HIDDEN:


Received: (at submit) by emacsbugs.donarmstrong.com; 3 Mar 2009 01:39:52 +0000
From triska@HIDDEN Mon Mar  2 17:39:52 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=0.1 required=4.0 tests=FOURLA autolearn=no
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n231dnOq023328
	for <submit@HIDDEN>; Mon, 2 Mar 2009 17:39:50 -0800
Received: from mx10.gnu.org ([199.232.76.166]:46388)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <triska@HIDDEN>)
	id 1LeJZV-0004GV-Nd
	for emacs-pretest-bug@HIDDEN; Mon, 02 Mar 2009 20:37:25 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <triska@HIDDEN>)
	id 1LeJbn-0001Hd-2v
	for emacs-pretest-bug@HIDDEN; Mon, 02 Mar 2009 20:39:48 -0500
Received: from mail.gmx.net ([213.165.64.20]:59291)
	by monty-python.gnu.org with smtp (Exim 4.60)
	(envelope-from <triska@HIDDEN>)
	id 1LeJbm-0001HX-Iu
	for emacs-pretest-bug@HIDDEN; Mon, 02 Mar 2009 20:39:46 -0500
Received: (qmail invoked by alias); 03 Mar 2009 01:39:45 -0000
Received: from chello062178240212.3.14.tuwien.teleweb.at (EHLO mt-computer.local) [62.178.240.212]
  by mail.gmx.net (mp012) with SMTP; 03 Mar 2009 02:39:45 +0100
X-Authenticated: #4064391
X-Provags-ID: V01U2FsdGVkX1/+BGkKdDr+hAFN0vNkx7NqRKzC+cVerKi9usHFT/
	BLlCsonzuZOHPg
Received: by mt-computer.local (Postfix, from userid 502)
	id 37C4EC66050; Tue,  3 Mar 2009 02:39:43 +0100 (CET)
From: Markus Triska <markus.triska@HIDDEN>
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.60; doc-view: scrolling other window wraps unexpectedly
Message-Id: <20090303013943.37C4EC66050@HIDDEN>
Date: Tue,  3 Mar 2009 02:39:43 +0100 (CET)
X-Y-GMX-Trusted: 0
X-FuHaFi: 0.54
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 3)


With p.ps from:

   http://www.logic.at/prolog/p.ps

when I do:

   $ emacs -Q p.ps

and press:

   C-c C-c C-x 2

and then press C-M-v repeatedly, the other window eventually wraps
around instead of stopping at the image border like C-v does.


In GNU Emacs 23.0.60.2 (i386-apple-darwin8.11.1, GTK+ Version 2.12.9)
 of 2009-01-06 on mt-computer.local
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40400000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t




Acknowledgement sent to Markus Triska <markus.triska@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#2549; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.